org.mariadb.jdbc.internal.com.send

## Class AbstractAuthSwitchSendResponsePacket

- java.lang.Object
- - org.mariadb.jdbc.internal.com.send.AbstractAuthSwitchSendResponsePacket

All Implemented Interfaces:
  InterfaceAuthSwitchSendResponsePacket, InterfaceSendPacket

Direct Known Subclasses:
  SendClearPasswordAuthPacket, SendEd25519PasswordAuthPacket, SendGssApiAuthPacket, SendNativePasswordAuthPacket, SendOldPasswordAuthPacket, SendPamAuthPacket

    public abstract class AbstractAuthSwitchSendResponsePacket
    extends Object
    implements InterfaceAuthSwitchSendResponsePacket

### Field Summary

Fields
`protected byte[]` `authData`
`protected int` `packSeq`
`protected String` `password`
`protected String` `passwordCharacterEncoding`

### Constructor Summary

Constructors
Constructor and Description
`AbstractAuthSwitchSendResponsePacket(int packSeq, byte[] authData, String password, String passwordCharacterEncoding)` Handle Authentication.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handleResultPacket(PacketInputStream reader)` Handle response packet.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.mariadb.jdbc.internal.com.send.InterfaceSendPacket

`send`

### Field Detail

#### packSeq

    protected int packSeq

#### authData

    protected byte[] authData

#### password

    protected final String password

#### passwordCharacterEncoding

    protected final String passwordCharacterEncoding

### Constructor Detail

#### AbstractAuthSwitchSendResponsePacket

    public AbstractAuthSwitchSendResponsePacket(int packSeq,
                                                byte[] authData,
                                                String password,
                                                String passwordCharacterEncoding)

Handle Authentication.

Parameters:
  `packSeq` - packet sequence
  `authData` - authentication data
  `password` - password
  `passwordCharacterEncoding` - password character encoding

### Method Detail

#### handleResultPacket

    public void handleResultPacket(PacketInputStream reader)
                            throws SQLException,
                                   IOException

Handle response packet.

Specified by:
  `handleResultPacket` in interface `InterfaceAuthSwitchSendResponsePacket`
Parameters:
  `reader` - packet fetcher
Throws:
  `SQLException` - if any functional error occur
  `IOException` - if any connection error occur